Bug 870753 - [abrt] gnome-font-viewer-3.6.0-1.fc18: load_font_infos: Process /usr/bin/gnome-font-viewer was killed by signal 11 (SIGSEGV)
[abrt] gnome-font-viewer-3.6.0-1.fc18: load_font_infos: Process /usr/bin/gnom...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-font-viewer (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rui Matos
Fedora Extras Quality Assurance
abrt_hash:c9a3210b235d9f65650297695ce...
:
Depends On:
Blocks: F18Blocker/F18FinalBlocker
  Show dependency treegraph
 
Reported: 2012-10-28 09:12 EDT by ONURALP SEZER
Modified: 2012-12-10 02:12 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-10 02:12:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (767 bytes, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: environ (2.97 KB, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: event_log (2.55 KB, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: backtrace (95.96 KB, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: executable (26 bytes, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: maps (45.08 KB, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: dso_list (8.98 KB, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: open_fds (802 bytes, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details
File: var_log_messages (322 bytes, text/plain)
2012-10-28 09:12 EDT, ONURALP SEZER
no flags Details

  None (edit)
Description ONURALP SEZER 2012-10-28 09:12:24 EDT
Description of problem:
I just clicked to "INSTALL" button and I get INSTALL failed. and also I tried on terminal for see error what was. and I saw just this ;

"Segmentation fault (core dumped)"



Version-Release number of selected component:
gnome-font-viewer-3.6.0-1.fc18

Additional info:
libreport version: 2.0.17
abrt_version:   2.0.17
backtrace_rating: 4
cmdline:        gnome-font-viewer Ubuntu-BI.ttf
crash_function: load_font_infos
kernel:         3.6.3-3.fc18.x86_64

truncated backtrace:
:Thread no. 1 (0 frames)
Comment 1 ONURALP SEZER 2012-10-28 09:12:27 EDT
Created attachment 634519 [details]
File: core_backtrace
Comment 2 ONURALP SEZER 2012-10-28 09:12:29 EDT
Created attachment 634520 [details]
File: environ
Comment 3 ONURALP SEZER 2012-10-28 09:12:31 EDT
Created attachment 634521 [details]
File: event_log
Comment 4 ONURALP SEZER 2012-10-28 09:12:34 EDT
Created attachment 634522 [details]
File: backtrace
Comment 5 ONURALP SEZER 2012-10-28 09:12:36 EDT
Created attachment 634523 [details]
File: limits
Comment 6 ONURALP SEZER 2012-10-28 09:12:38 EDT
Created attachment 634524 [details]
File: cgroup
Comment 7 ONURALP SEZER 2012-10-28 09:12:41 EDT
Created attachment 634525 [details]
File: executable
Comment 8 ONURALP SEZER 2012-10-28 09:12:43 EDT
Created attachment 634526 [details]
File: maps
Comment 9 ONURALP SEZER 2012-10-28 09:12:46 EDT
Created attachment 634527 [details]
File: dso_list
Comment 10 ONURALP SEZER 2012-10-28 09:12:48 EDT
Created attachment 634528 [details]
File: proc_pid_status
Comment 11 ONURALP SEZER 2012-10-28 09:12:50 EDT
Created attachment 634529 [details]
File: open_fds
Comment 12 ONURALP SEZER 2012-10-28 09:12:52 EDT
Created attachment 634530 [details]
File: var_log_messages
Comment 13 Kamil Páral 2012-11-22 09:12:46 EST
This might be a F18 blocker:
 All applications listed under the Applications menu or category must withstand a basic functionality test and not crash after a few minutes of normal use. They must also have working Help and Help -> About menu items 
https://fedoraproject.org/wiki/Fedora_18_Final_Release_Criteria
Comment 14 Vadim Rutkovsky 2012-11-24 14:17:36 EST
Steps to reproduce:
1) Download font from http://runamux.net/search/view/file/FOJBMiWH/Ubuntu-BI.html
2) gnome-font-viewer Ubuntu-BI.ttf
3) Click Install
Comment 15 ONURALP SEZER 2012-11-24 17:07:20 EST
Crashed again
Comment 16 Cosimo Cecchi 2012-11-26 13:59:08 EST
I pushed a fix for this crasher in the gnome-3-6 branch upstream [1]. I might be able to release a 3.6.2 tarball with the fix included (or we could import the patch in our rpm).

[1] http://git.gnome.org/browse/gnome-font-viewer/commit/?h=gnome-3-6&id=d5788464a27d0caafedbe26023b24b64d80a8104
Comment 17 Stef Walter 2012-11-26 17:10:18 EST
Opened a font, and clicked 'Install'.

backtrace_rating: 4
Package: gnome-font-viewer-3.6.1-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 18 Martin Simon 2012-12-03 11:48:45 EST
There is no segfault any more (gnome-font-viewer-3.6.1-1.fc18), the font is installed but the dialog says 'Install Failed'
Comment 19 Adam Williamson 2012-12-05 12:42:28 EST
Discussed at 2012-12-05 blocker review meeting - http://meetbot.fedoraproject.org/fedora-bugzappers/2012-12-05/f18final-blocker-review-2.2012-12-05-17.01.log.txt . Agreed we need some more certainty on the precise behaviour with currently-stable gnome-font-viewer to determine blocker status; tests have been inconclusive as to whether it reliably crashes or just displays bogus errors. If it is reliably crashing, we are likely to accept this as a release blocker.
Comment 20 Cosimo Cecchi 2012-12-05 16:49:35 EST
I released a 3.6.2 tarball now, and made a scratch build for testing. 3.6.1 would still crash. Unfortunately I don't have commit access to this package, so feel free to do the update after verifying the fix.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4761008
Comment 21 Petr Schindler 2012-12-06 05:48:55 EST
I've successfully installed a font with 3.6.2 build.
Comment 22 Jaroslav Reznik 2012-12-06 07:41:38 EST
(In reply to comment #20)
> I released a 3.6.2 tarball now, and made a scratch build for testing. 3.6.1
> would still crash. Unfortunately I don't have commit access to this package,
> so feel free to do the update after verifying the fix.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4761008

Ok,
thanks - I'll try to ping Rui or I'll use provenpackager rights to build 3.6.2 as Petr confirmed it works.
Comment 23 Fedora Update System 2012-12-06 08:29:27 EST
yum-3.4.3-47.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-47.fc18
Comment 24 Zdeněk Pavlas 2012-12-06 08:35:16 EST
Sorry, wrong BZ.
Comment 25 Fedora Update System 2012-12-06 09:59:54 EST
gnome-font-viewer-3.6.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-font-viewer-3.6.2-1.fc18
Comment 26 Fedora Update System 2012-12-06 15:07:52 EST
Package yum-3.4.3-47.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-47.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19846/yum-3.4.3-47.fc18
then log in and leave karma (feedback).
Comment 27 Kamil Páral 2012-12-07 04:43:53 EST
I can confirm the fix.
Comment 28 Fedora Update System 2012-12-10 02:12:21 EST
gnome-font-viewer-3.6.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.